Description

A feature like this would be in line with #7360. It wouldn't need the project and user level defaults though. It would IMHO be a more

complete (than r19505) solution to the need expressed in #32818.

With this feature, the project_list_display_type setting added in r19505 can be removed.

Related issues:

Related to Redmine - Feature #7360: Issue custom query: default query per ins...

Related to Redmine - Feature #29482: Query system for Projects page

Related to Redmine - Feature #32818: Add a system setting for default results...

Related to Redmine - Defect #36389: Filter parameters of Query string do not ...

Related to Redmine - Patch #37135: Reduce extra queries in ProjectQuery.default

Closed
Closed
Closed
Closed
Closed

2011-01-18

Associated revisions

Revision 21281 - 2021-11-15 22:58 - Marius BALTEANU

You can configure default project queries in the following places (#35795):

® App-level: Administration > Projects > Default query (Projects list defaults section)

e User-level: My account > Default project query

Revision 21282 - 2021-11-15 23:03 - Marius BALTEANU
Update locales (#35795).

History

#1 - 2021-08-22 04:23 - Mischa The Evil

- Related to Feature #7360: Issue custom query: default query per instance, project and user added

#2 - 2021-08-22 04:24 - Mischa The Evil
- Related to Feature #29482: Query system for Projects page added

#3 - 2021-08-22 04:24 - Mischa The Evil

- Related to Feature #32818: Add a system setting for default results display format of project query added

#4 - 2021-09-06 22:58 - Marius BALTEANU
- Assignee set to Marius BALTEANU

- Target version set to Candidate for next major release

#5 - 2021-10-03 20:57 - Marius BALTEANU

- File 0001-Option-to-set-default-project-query-at-global-and-us.patch added

- Target version changed from Candidate for next major release to 5.0.0

Here is a patch that adds the possibility to add a default project query at global level, or at user level.

#6 - 2021-11-15 23:00 - Marius BALTEANU

- Subject changed from Setting for global default custom ProjectQuery to Settings for global and user default custom ProjectQuery
https://www.redmine.org/issues/7360
https://www.redmine.org/projects/redmine/repository/svn/revisions/19505
https://www.redmine.org/issues/32818
https://www.redmine.org/projects/redmine/repository/svn/revisions/19505

- Status changed from New to Resolved

- Resolution set to Fixed

Feature added.

You can now configure a default project query at instance level (by an admin) or at user level.

#7 - 2021-11-15 23:04 - Marius BALTEANU

- Status changed from Resolved to Closed

#8 - 2022-01-07 17:19 - Marius BALTEANU
- Related to Defect #36389: Filter parameters of Query string do not work when default query is enabled added

#9 - 2022-05-25 08:27 - Go MAEDA
- Related to Patch #37135: Reduce extra queries in ProjectQuery.default added

Files

0001-Option-to-set-default-project-query-at-global-and-us.patch 12.5 KB 2021-10-03 Marius BALTEANU

2025-07-03 22


http://www.tcpdf.org

